function RS=getRS(ARG,thau,sigma)
% Нахождение среднего RS в массиве при известном значении тау (HTML-статья)
% Вход  : ARG - исходный массив (должен быть 1 столбец или 1 строка)
%         thau - размер интервала для рассчета RS значений
% Выход : RS - среднее значение для данного массива и тау

% Вычисляем размеры исходного массива. В нем должна быть одна строка
% Если строк больше - значит есть только 1 столбец и необходимо развернуть
%    массив
[m,n]=size(ARG);
if (n==1)
    ARG=ARG';
    [m,n]=size(ARG);
end
% Если был передан только один аргумент - значит надо брать весь массив;
%    тогда тау должно быть равно количеству столбцов
if nargin==1
    thau=n;
end

% index - номер элемента в массиве с величинами RS
% indexBegin - начало отрезка для рассчета с очередным тау
% indexEnd - конец отрезка для рассчета с очередным тау
index=1;
indexBegin=1;
indexEnd=thau;
% рассчитываем последовательные значения RS
% пока не вышли за пределы массива
while (indexEnd<=n) && (indexEnd-indexBegin>=7)
    % находим очередное RS и записываем в массив
    RSTemp(1,index)=getRSAlone2(ARG(1,indexBegin:indexEnd),sigma);
    indexBegin=indexEnd+1;
    indexEnd=indexBegin+thau-1;
    index=index+1;
end

if (index>1)
    % находим среднее RS по массиву значений
    RSSum=sum(RSTemp);
    [m,n]=size(RSTemp);
    % получаем результат
    RS=RSSum/n;
else
    RS=0;
end